Loading...
Searching...
No Matches
etl::type_type_lookup< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 >::type_from_type< T > Struct Template Reference

## Public Types

typedef etl::conditional< etl::is_same< T, typenameT1::type1 >::value, typenameT1::type2, typenameetl::conditional< etl::is_same< T, typenameT2::type1 >::value, typenameT2::type2, typenameetl::conditional< etl::is_same< T, typenameT3::type1 >::value, typenameT3::type2, typenameetl::conditional< etl::is_same< T, typenameT4::type1 >::value, typenameT4::type2, typenameetl::conditional< etl::is_same< T, typenameT5::type1 >::value, typenameT5::type2, typenameetl::conditional< etl::is_same< T, typenameT6::type1 >::value, typenameT6::type2, typenameetl::conditional< etl::is_same< T, typenameT7::type1 >::value, typenameT7::type2, typenameetl::conditional< etl::is_same< T, typenameT8::type1 >::value, typenameT8::type2, typenameetl::conditional< etl::is_same< T, typenameT9::type1 >::value, typenameT9::type2, typenameetl::conditional< etl::is_same< T, typenameT10::type1 >::value, typenameT10::type2, typenameetl::conditional< etl::is_same< T, typenameT11::type1 >::value, typenameT11::type2, typenameetl::conditional< etl::is_same< T, typenameT12::type1 >::value, typenameT12::type2, typenameetl::conditional< etl::is_same< T, typenameT13::type1 >::value, typenameT13::type2, typenameetl::conditional< etl::is_same< T, typenameT14::type1 >::value, typenameT14::type2, typenameetl::conditional< etl::is_same< T, typenameT15::type1 >::value, typenameT15::type2, typenameetl::conditional< etl::is_same< T, typenameT16::type1 >::value, typenameT16::type2, etl::null_type< 0 > >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type

type

## Public Member Functions

| ETL_STATIC_ASSERT (!(etl::is_same< etl::null_type< 0 >, type >::value), "Invalid type")

The documentation for this struct was generated from the following file:

- include/etl/type_lookup.h